import {ScriptAccount} from "../../scriptAccounts/ScriptAccount";
import {ScriptAccountCondition} from "../conditions/ScriptAccountCondition";

export class ScriptAccountAction {
  scriptAccount: ScriptAccount
  changingValue: number = 0;


  constructor(scriptAccount: ScriptAccount, changingValue: number) {
    this.scriptAccount = scriptAccount;
    this.changingValue = changingValue;
  }


  combineActions(otherAction: ScriptAccountAction) {
    if(otherAction.scriptAccount === this.scriptAccount) {
      return new ScriptAccountAction(this.scriptAccount, this.changingValue + otherAction.changingValue)
    } else {
      return undefined;
    }
  }
}
